#ifndef _SERIALCOMM_H_
#define _SERIALCOMM_H_
#include <stdio.h>
#include <string.h>
#include <termios.h>
#include <fcntl.h>
#include <unistd.h>
#include <errno.h>
#include "serialcomm.h"
#include <sys/time.h>
#include <sys/types.h>
#include <sys/select.h>
#include <unistd.h>
#include <stdlib.h>
#include <time.h>

//#define BAUDRATE B115200
#define BAUDRATE 1000000
#define DEVICE "/dev/ttyUSB0"

int serialport_init(const char* serialport, int baud);
int serialport_write(int fd, unsigned char* str);
int serialport_write_len(int fd, unsigned char* str, int len);
int serialport_read(int fd, unsigned char* str, int len, int timeout);
int serialport_close(int handler);
#endif // _SERIALCOMM_H_
