#include "serialcomm.h"

int serialport_write_len_crc(int fd, unsigned char* str, int len){
    char checksum = 0;
    char i = 0;
    for(i=2;i<len-1;i++){
		checksum = checksum + str[i];
    }
    str[len-1] = ~checksum;
    for(i=0;i<len;i++){
		printf("%s %d %02x\n", "byte", i, *(str+i));
    }
    return (serialport_write_len(fd, str, len));	
}

int main(){
  int fd, sal_read, sal_write;
  char buffer_read[20];
  char prender_leds[] = {0xff, 0xff, 0xfe, 0x04, 0x03, 0x19, 0x01, 0xff};
  char apagar_leds[]  = {0xff, 0xff, 0xfe, 0x04, 0x03, 0x19, 0x00, 0xff};
  char endless_1[]    = {0xff, 0xff, 0xfe, 0x05, 0x03, 0x06, 0x00, 0x00, 0xff};
  char endless_2[]    = {0xff, 0xff, 0xfe, 0x05, 0x03, 0x08, 0x00, 0x00, 0xff};
  char not_endless_1[]= {0xff, 0xff, 0xfe, 0x05, 0x03, 0x06, 0x00, 0x00, 0xff};
  char not_endless_2[]= {0xff, 0xff, 0xfe, 0x05, 0x03, 0x08, 0xff, 0x00, 0xff};
  char endless_3[]    = {0xff, 0xff, 0xfe, 0x05, 0x03, 0x20, 0xc3, 0x03, 0xff};

  char torque[]       = {0xff, 0xff, 0xfe, 0x04, 0x03, 0x18, 0x01, 0xff};
  char max_torque[]   = {0xff, 0xff, 0xfe, 0x05, 0x03, 0x14, 0xff, 0x03, 0xff};



  //fd = serialport_init(DEVICE, 115200);
  fd = serialport_init(DEVICE, 1000000);
  printf("el init retorna %i \n", fd); 
  sleep(2);
  sal_write = serialport_write_len_crc(fd, torque, 8);
  sal_write = serialport_write_len_crc(fd, max_torque, 9);
  while(1){
	  printf("prendo\n");	
	  sal_write = serialport_write_len_crc(fd, prender_leds, 8);
	  sleep(2);
	  printf("voy a apagar\n");
	  sal_write = serialport_write_len_crc(fd, apagar_leds, 8);
          sal_write = serialport_write_len_crc(fd, endless_1, 9);
          sal_write = serialport_write_len_crc(fd, endless_2, 9);
          //sal_write = serialport_write_len_crc(fd, not_endless_1, 9);
          //sal_write = serialport_write_len_crc(fd, not_endless_2, 9);
          sal_write = serialport_write_len_crc(fd, endless_3, 9);  //comienza a girar
	  sleep(2);
  }
  //sal_read = serialport_read(fd, buffer_read, 1, 1000);
  //printf("la salida del write fue %i \n", sal_write);
  //printf("la salida de read fue %i y llego %0X2 \n", sal_read, buffer_read[0]);
  return 0;
}

